require 'spec_helper'

describe Social::Facebook do
  subject { Social::Facebook }

  let(:url) { 'http://www.studentbeans.com/student101/a/relationships/university-sex-league-6793.html' }

  it 'returns the total engagement' do
    VCR.use_cassette('facebook_engagement_count') do
      subject.total_count(url).should == 7656
    end
  end

  it 'returns 0 if the response does not contain a count' do
    VCR.use_cassette('facebook_engagement_bad_response') do
      subject.total_count(url).should == 0
    end
  end

  it 'returns 0 if an exception is raised' do
    Net::HTTP.stub(:get).and_raise(StandardError)
    subject.total_count(url).should == 0
  end
end
